% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% readmePSA 
%            Contents of directory Problem_Sets
% ____________________________________________________________________________
% 18.311 (Principles of Applied Mathematics). MIT, Winter 2008. R. R. Rosales.
%
% This directory has scripts that are related to the Problem Sets.
%
% PS311_VibroRod ... Vibrating rod demo, illustrating longitudinal vibrations
%                    of a rod. Makes a movie.
%
% --- Scripts to study the stability of numerical schemes. ===================
%
% PS311_Scheme_A ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,k+1) = u(n,k) - L*(u(n+1,k) - u(n,k))
%                               where: L = dt/dx.
% PS311_SchemeDIC_A ... Same as PS311_Scheme_A, discontinuous initial cond.
% PS311_Scheme_B ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,k+1) = u(n,k) - L*(u(n,k) - u(n-1,k))
%                               where: L = dt/dx.
% PS311_SchemeDIC_B ... Same as PS311_Scheme_B, discontinuous initial cond.
% PS311_Scheme_C ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,k+1) = u(n,k) - L*(u(n+1,k) - u(n-1,k))/2
%                               where: L = dt/dx.
% PS311_SchemeDIC_C ... Same as PS311_Scheme_C, discontinuous initial cond.
% PS311_Scheme_D ...... Equation: u_t - u_xx = 0.
%                       Scheme: u(n,k+1) = u(n,k) - 
%                                          L*(u(n+1,k) - 2*u(n,k) + u(n-1,k))
%                               where: L = dt/dx^2.
% PS311_SchemeDIC_D ... Same as PS311_Scheme_D, discontinuous initial cond.
% PS311_Scheme_E ...... Equation: u_t + u_x = 0.
%                       Scheme: u(n,k+1) = u(n,k) -
%                                          (1/2)*L*(u(n+1,k) - u(n-1,k)) +
%                               (D/2)*(L^2)*(u(n+1,k) - 2*u(n,k) + u(n-1,k))
%                               where: L = dt/dx and D is a parameter.
% PS311_SchemeDIC_E ... Same as PS311_Scheme_E, discontinuous initial cond.
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Copyright 2001-2008 Massachusetts Institute of Technology
% Version 01 by Rodolfo R. Rosales  02-07-2001.
% Update     by Rodolfo R. Rosales  03-15-2008.
% 
% Permission is hereby granted, without payment, to copy this software
% and its documentation, if any,  for non-profit academic and research
% purposes,  provided that the above copyright notice, this paragraph,
% and the following three paragraphs appear in all copies of this
% software. Use of this software constitutes acceptance of these terms
% and conditions.
%
% IN NO EVENT SHALL MIT, OR THE AUTHOR, BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
% ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
% IF MIT, OR THE AUTHOR, HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
% DAMAGE.
%
% MIT, AND THE AUTHOR, SPECIFICALLY DISCLAIM ANY EXPRESS OR IMPLIED
% WARRANTIES INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
% MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
% NON-INFRINGEMENT.
%
% THIS SOFTWARE IS PROVIDED "AS IS." MIT, OR THE AUTHOR, HAVE NO
% OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS,
% OR MODIFICATIONS.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
help readmePSA
%
% EOF
